#if !defined(AFX_KERKYTHEAPAGE_H__AD6038F8_8D49_42DB_AB31_E8DED788F83D__INCLUDED_)
#define AFX_KERKYTHEAPAGE_H__AD6038F8_8D49_42DB_AB31_E8DED788F83D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// KerkytheaPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CKerkytheaPage dialog

class CKerkytheaPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CKerkytheaPage)

// Construction
public:
	CKerkytheaPage();
	~CKerkytheaPage();

// Dialog Data
	//{{AFX_DATA(CKerkytheaPage)
	enum { IDD = IDD_KERKYTHEA };
	CString	m_KerkytheaDirectionalFallOff;
	CString	m_KerkytheaDirectionalHotSpot;
	CString	m_KerkytheaDirectionalMultiplier;
	BOOL	m_KerkytheaPointAsSpot;
	CString	m_KerkytheaPointFallOff;
	CString	m_KerkytheaPointHotSpot;
	CString	m_KerkytheaPointMultiplier;
	BOOL	m_KerkytheaPointUp;
	BOOL	m_KerkytheaRadianceAsEmitter;
	CString	m_KerkytheaSpotFallOff;
	CString	m_KerkytheaSpotHotFraction;
	CString	m_KerkytheaSpotHotSpot;
	CString	m_KerkytheaSpotMultiplier;
	BOOL	m_KerkytheaSpotReplace;
	BOOL	m_KerkytheaUseHotFraction;
	BOOL	m_KerkytheaUseRadiance;
	int		m_KerkytheaDirectionalSaveAs_Group;
	int		m_KerkytheaDirectionalAttenuation_Group;
	int		m_KerkytheaPointAttenuation_Group;
	int		m_KerkytheaSpotAttenuation_Group;
	BOOL	m_KerkytheaUsePngAlphaMasks;
	CString	m_KerkytheaDirectionalRadius;
	BOOL	m_KerkytheaDirectionalShadow;
	BOOL	m_KerkytheaDirectionalSoftShadow;
	BOOL	m_KerkytheaDirectionalNegative;
	BOOL	m_KerkytheaDirectionalCausticPhotons;
	BOOL	m_KerkytheaDirectionalGlobalPhotons;
	CString	m_KerkytheaPointRadius;
	BOOL	m_KerkytheaPointShadow;
	BOOL	m_KerkytheaPointSoftShadow;
	BOOL	m_KerkytheaPointNegative;
	BOOL	m_KerkytheaPointGlobalPhotons;
	BOOL	m_KerkytheaPointCausticPhotons;
	CString	m_KerkytheaSpotRadius;
	BOOL	m_KerkytheaSpotShadow;
	BOOL	m_KerkytheaSpotSoftShadow;
	BOOL	m_KerkytheaSpotNegative;
	BOOL	m_KerkytheaSpotGlobalPhotons;
	BOOL	m_KerkytheaSpotCausticPhotons;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CKerkytheaPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CKerkytheaPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnKerkytheauseradiance();
	afx_msg void OnKerkythearadianceasemitter();
	afx_msg void OnKerkytheadirectionalasomni();
	afx_msg void OnKerkytheadirectionalassun();
	afx_msg void OnKerkytheadirectionalasspot();
	afx_msg void OnKerkytheadirectionalattenuation1();
	afx_msg void OnKerkytheadirectionalattenuation2();
	afx_msg void OnKerkytheadirectionalattenuation3();
	afx_msg void OnKerkytheapointup();
	afx_msg void OnKerkytheapointasspot();
	afx_msg void OnKerkytheapointattenuation1();
	afx_msg void OnKerkytheapointattenuation2();
	afx_msg void OnKerkytheapointattenuation3();
	afx_msg void OnKerkytheaspotattenuation1();
	afx_msg void OnKerkytheaspotattenuation2();
	afx_msg void OnKerkytheaspotattenuation3();
	afx_msg void OnKerkytheausehotfraction();
	afx_msg void OnKerkytheaspotreplace();
	afx_msg void OnKerkytheagetdata();
	afx_msg void OnKerkytheasetdata();
	afx_msg void OnKerkytheausepngalphamasks();
	afx_msg void OnKerkytheadirectionalshadow();
	afx_msg void OnKerkytheadirectionalsoftshadow();
	afx_msg void OnKerkytheadirectionalnegative();
	afx_msg void OnKerkytheadirectionalglobalphotons();
	afx_msg void OnKerkytheadirectionalcausticphotons();
	afx_msg void OnKerkytheapointshadow();
	afx_msg void OnKerkytheapointsoftshadow();
	afx_msg void OnKerkytheapointnegative();
	afx_msg void OnKerkytheapointglobalphotons();
	afx_msg void OnKerkytheapointcausticphotons();
	afx_msg void OnKerkytheaspotshadow();
	afx_msg void OnKerkytheaspotsoftshadow();
	afx_msg void OnKerkytheaspotnegative();
	afx_msg void OnKerkytheaspotglobalphotons();
	afx_msg void OnKerkytheaspotcausticphotons();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void UpdateKerkytheaDisplay(void);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_KERKYTHEAPAGE_H__AD6038F8_8D49_42DB_AB31_E8DED788F83D__INCLUDED_)
